{% extends 'stm32mp15x-eval.jinja2' %}
{% set console_device = 'ttyACM0' %}
{% set device_info = [{'board_id': '002C00263438511836383238'}] %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command off --port 2' %}
{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command reboot --port 2 --delay 20' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet tf-worker01.tflab 7002'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set uboot_set_mac = false %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command on --port 2' %}
{% set flasher_deploy_commands = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command off --port 2',
'lsusb',
'/usr/local/lab-scripts/eth008_control -a 10.88.16.80 -r 4 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.88.16.80 -r 5 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.88.16.80 -r 6 -s off',
'sleep 1',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command on --port 2 --delay 20',
'sleep 5',
'/usr/local/lab-scripts/stm32mp15x_flasher.sh -l {LAYOUT} -f {TARBALL} -s 002C00263438511836383238 -r {REP_BIN}',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command off --port 2',
'/usr/local/lab-scripts/eth008_control -a 10.88.16.80 -r 4 -s on',
'/usr/local/lab-scripts/eth008_control -a 10.88.16.80 -r 5 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.88.16.80 -r 6 -s on'] %}

{% set sync_to_lava = {'device_type': 'stm32mp15x-eval', 'worker': 'tf-worker01.tflab', 'tags': [], 'aliases': []} %}
